# Class Document

#### Hierarchy

- Document

- Defined in file/file.ts:36

#####
Index

### Constructors

constructor

### Accessors

AppProperties
Comments
ContentTypes
CoreProperties
CustomProperties
Document
FileRelationships
FootNotes
Footers
Headers
Media
Numbering
Settings
Styles

## Constructors

### constructor

- new Document(options): Document

- #### Parameters

  - ##### options: IPropertiesOptions

  #### Returns Document

  - Defined in file/file.ts:57

## Accessors

### AppProperties

- get AppProperties(): AppProperties

- #### Returns AppProperties

  - Defined in file/file.ts:280

### Comments

- get Comments(): Comments

- #### Returns Comments

  - Defined in file/file.ts:292

### ContentTypes

- get ContentTypes(): ContentTypes

- #### Returns ContentTypes

  - Defined in file/file.ts:272

### CoreProperties

- get CoreProperties(): CoreProperties

- #### Returns CoreProperties

  - Defined in file/file.ts:248

### CustomProperties

- get CustomProperties(): CustomProperties

- #### Returns CustomProperties

  - Defined in file/file.ts:276

### Document

- get Document(): DocumentWrapper

- #### Returns DocumentWrapper

  - Defined in file/file.ts:240

### FileRelationships

- get FileRelationships(): Relationships

- #### Returns Relationships

  - Defined in file/file.ts:260

### FootNotes

- get FootNotes(): FootnotesWrapper

- #### Returns FootnotesWrapper

  - Defined in file/file.ts:284

### Footers

- get Footers(): readonly FooterWrapper []

- #### Returns readonly FooterWrapper []

  - Defined in file/file.ts:268

### Headers

- get Headers(): readonly HeaderWrapper []

- #### Returns readonly HeaderWrapper []

  - Defined in file/file.ts:264

### Media

- get Media(): Media

- #### Returns Media

  - Defined in file/file.ts:256

### Numbering

- get Numbering(): Numbering

- #### Returns Numbering

  - Defined in file/file.ts:252

### Settings

- get Settings(): Settings

- #### Returns Settings

  - Defined in file/file.ts:288

### Styles

- get Styles(): Styles

- #### Returns Styles

  - Defined in file/file.ts:244

Generated using TypeDoc